@import url(../../01-Entrainement/css/reset.css);

html,
body {
  font-size: 16x;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  margin: 0 auto;
}

h1 {
  font-size: 1.5rem;
  color: rgba(9, 9, 87, 0.798);
  margin: 60px 20px;
}

.open__close {
  width: 1044px;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  margin-bottom: 20px;
}

.link__appear,
.link__disappear {
  font-size: 1.2rem;
  margin: 10px;
  padding: 10px;
  border: 2px solid;
  border-radius: 10px;
  background-color: rgba(0, 64, 255, 0.291);
}

.container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  background-color: #1e233771;
}
form {
  margin-top: 40px;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.block {
  height: 100vh;
  width: 1000px;
  padding: 20px;
  background-color: #00000052;
  border: 2px solid #00000057;
  border-radius: 6px;
}

.input__text {
  width: 600px;
  height: 100px;
  font-size: 4rem;
  margin: 20px;
  border-radius: 30px;
  text-align: center;
  -webkit-box-shadow: inset 0px 0px 20px 10px rgba(0, 0, 0, 0.24);
  box-shadow: inset 0px 0px 20px 10px rgba(0, 0, 0, 0.24);
}
.input__text:hover {
  border: 2px blue solid;
}

.label__method {
  font-size: 1.3rem;
  margin: 0 20px;
  margin-top: 20px;
}

.calcul__item {
  padding: 6px 20px;
  margin-top: 20px;
}

.calcul__select {
  width: 250px;
  height: 100px;
  font-size: 1.7rem;
  margin: 20px;
  border-radius: 10px;
  -webkit-box-shadow: 0px 4px 32px 10px rgba(0, 0, 0, 0.43);
  box-shadow: 0px 4px 32px 10px rgba(0, 0, 0, 0.43);
}

.information__fail {
  text-align: center;
  font-weight: bold;
  width: 80%;
  height: 40px;
  font-size: 1.3rem;
  margin: 0 20px;
  margin-top: 20px;
  color: rgb(228, 79, 79);
  letter-spacing: 4px;
}

.hidden__message3 {
  font-weight: bold;
  font-size: 1.4rem;
  color: #0cac21;
}

.hidden__message1,
.hidden__message2 {
  display: none;
  text-align: center;
  width: 80%;
  height: 50px;
  font-size: 1.3rem;
  align-content: center;
  color: rgb(40, 36, 36);
  background-color: rgba(220, 20, 20, 0.61);
  letter-spacing: 4px;
  border: #000 solid 1px;
  border-radius: 20px;
  font-weight: bold;
}

.calcul__select:hover {
  border: 2px blue solid;
}

.button__calcul:hover {
  border: 2px rgb(171, 0, 6) solid;
  background-color: rgba(197, 84, 84, 0.61);
  text-align: center;
  align-content: center;
}

.button__calcul {
  width: 350px;
  height: 100px;
  font-size: 4rem;
  margin: 20px;
  border: 2px #000 solid;
  background-color: bisque;
  border-radius: 10px;
  text-align: center;
  align-content: center;
  -webkit-box-shadow: 0px 4px 32px 10px rgba(0, 0, 0, 0.43);
  box-shadow: 0px 4px 32px 10px rgba(0, 0, 0, 0.43);
}

.resultat {
  font-size: 1.3rem;
  margin: 6px 20px;
}

.result {
  color: #000;
  width: 800px;
  height: 100px;
  font-size: 4rem;
  margin: 6px 20px;
  border: 2px #000 solid;
  background-color: rgba(189, 159, 93, 0.921);
  border-radius: 10px;
  text-align: center;
  align-content: center;
  -webkit-box-shadow: 0px 4px 32px 10px rgba(0, 0, 0, 0.43);
  box-shadow: 0px 4px 32px 10px rgba(0, 0, 0, 0.43);
}
